CREATE TABLE gb_users (
users_id VARCHAR(50) NOT NULL,
users_name VARCHAR(100) NOT NULL,
users_avatar NUMERIC(1,0) DEFAULT 0 NOT NULL,
users_color NUMERIC(1,0) DEFAULT 0 NOT NULL,
users_manageable NUMERIC(1,0) DEFAULT 0 NOT NULL,
date_added DATETIME NOT NULL,
date_lastmodified DATETIME NOT NULL,
date_deleted DATETIME NULL,
CONSTRAINT gb_users_primarykey PRIMARY KEY (users_id)
);
CREATE TABLE gb_avatars (
users_id VARCHAR(50) NOT NULL,
avatars_file_name TEXT NOT NULL,
avatars_file_contenttype TEXT,
avatars_file_size NUMERIC(8,0) DEFAULT 0 NOT NULL,
avatars_data MEDIUMBLOB NOT NULL,
CONSTRAINT gb_avatars_primarykey PRIMARY KEY (users_id)
);
CREATE TABLE gb_menus (
menus_id NUMERIC(16,0) NOT NULL,
menus_name VARCHAR(100) NOT NULL,
menus_url TEXT NOT NULL,
menus_no NUMERIC(2,0) NOT NULL,
menus_display NUMERIC(1,0) DEFAULT 0 NOT NULL,
date_added DATETIME NOT NULL,
date_lastmodified DATETIME NOT NULL,
CONSTRAINT gb_menus_primarykey PRIMARY KEY (menus_id)
);
CREATE TABLE gb_userdeletables (
userdeletables_tablename VARCHAR(50) NOT NULL,
userdeletables_columnname VARCHAR(50) NOT NULL,
userdeletables_description TEXT NULL,
CONSTRAINT gb_userdeletables_primarykey PRIMARY KEY (userdeletables_tablename, userdeletables_columnname)
);
CREATE TABLE gb_portlets (
portlets_id VARCHAR(200) NOT NULL,
portlets_url TEXT NOT NULL,
portlets_width NUMERIC(4,0) DEFAULT 0 NOT NULL,
portlets_height NUMERIC(4,0) DEFAULT 0 NOT NULL,
portlets_description TEXT NOT NULL,
CONSTRAINT gb_portlets_primarykey PRIMARY KEY (portlets_id)
);
CREATE TABLE gb_myportlets (
users_id VARCHAR(50) NOT NULL,
portlets_id VARCHAR(200) NOT NULL,
myportlets_row NUMERIC(2,0) DEFAULT 0 NOT NULL,
myportlets_column NUMERIC(2,0) DEFAULT 0 NOT NULL,
CONSTRAINT gb_myportlets_primarykey PRIMARY KEY (users_id, portlets_id)
);
