<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-action.tld" prefix="action" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-html.tld" prefix="html" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-text.tld" prefix="text" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-logic.tld" prefix="logic" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-request.tld" prefix="request" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-resource.tld" prefix="resource" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-validator.tld" prefix="validator" %>
<%@ page import="java.util.*" %>
<%@ page import="jp.co.mintjams.generation.base.util.*" %>
<%
	Search searchUtil = new Search();
	List textSearchOptions = searchUtil.getTextSearchOptionList();
	request.setAttribute("textSearchOptions", textSearchOptions);
%>
<html:form name="searchForm">
<html:hidden name="max_users_rows"/>
<table width="100%" class="waku1" cellspacing="0" cellpadding="1">
	<tr>
		<td>
			<table width="100%" class="waku2" cellspacing="6" cellpadding="0">
				<tr>
					<td colspan="2" align="center">
						<font class="title">検索条件</font><br>
					</td>
				</tr>
				<tr>
					<td class="sep_solid" colspan="2"><img src="<request:contextpath/>/image/spacer.gif" width="1" height="1"></td>
				</tr>
				<tr valign="top">
					<th align="left" width="20%">
						<b>ユーザID</b><br>
					</th>
					<td align="left" width="80%">
						<html:text name="users_id"/>
						<html:select name="users_id_option">
							<html:options name="textSearchOptions" scope="request">
								<html:property key="value">data</html:property>
								<html:property key="text">label</html:property>
							</html:options>
						</html:select>
					</td>
				</tr>
				<tr>
					<td class="sep_dotted" colspan="2"><img src="<request:contextpath/>/image/spacer.gif" width="1" height="1"></td>
				</tr>
				<tr valign="top">
					<th align="left">
						<b>ニックネーム</b><br>
					</th>
					<td align="left">
						<html:text name="users_name"/>
						<html:select name="users_name_option">
							<html:options name="textSearchOptions" scope="request">
								<html:property key="value">data</html:property>
								<html:property key="text">label</html:property>
							</html:options>
						</html:select>
					</td>
				</tr>
				<tr>
					<td class="sep_dotted" colspan="2"><img src="<request:contextpath/>/image/spacer.gif" width="1" height="1"></td>
				</tr>
				<tr valign="top">
					<th align="left">
						<b>権限</b><br>
					</th>
					<td align="left">
						<html:select name="users_manageable">
							<html:option value="0">ユーザ</html:option>
							<html:option value="1">管理者</html:option>
						</html:select>
					</td>
				</tr>
				<tr>
					<td class="sep_dotted" colspan="2"><img src="<request:contextpath/>/image/spacer.gif" width="1" height="1"></td>
				</tr>
				<tr valign="top">
					<td align="center" colspan="2">
						<html:actionbutton action="" name="search" value="検索"/>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
</html:form>
<%
/*
 * MORPHO GENERATION-F, Open Source Groupware Solutions
 * http://www.mintjams.jp/
 *
 * Copyright (c) 2004, MintJams, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice,
 *    this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 * 3. Neither the name of the MintJams, Inc. nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */
%>
