<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-action.tld" prefix="action" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-html.tld" prefix="html" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-text.tld" prefix="text" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-logic.tld" prefix="logic" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-request.tld" prefix="request" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-resource.tld" prefix="resource" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-validator.tld" prefix="validator" %>
<%@ page import="java.util.*" %>
<%@ page import="jp.morpho.util.*" %>
<%@ page import="jp.morpho.webapp.servlet.http.*" %>
<%@ page import="jp.co.mintjams.generation.base.*" %>
<%@ page import="jp.co.mintjams.generation.base.util.*" %>
<%@ include file="/include/vars.jsp" %>
<action:mapping>
	<action:case status="install" action="ok">
		<action:handler>jp.co.mintjams.generation.base.action.DatabaseConnectionHandler</action:handler>
		<action:handler>jp.co.mintjams.generation.profile.action.InstallHandler</action:handler>
	</action:case>
</action:mapping>
<%
	title = "インストール";
%>
<!-- header start -->
<%@ include file="/include/header.jsp" %>
<!-- header end -->

<!-- main start -->
<action:equals status="install.success">
<jsp:include page="install.success.jsp"/>
</action:equals>
<action:equals status="install.failure">
<jsp:include page="install.failure.jsp"/>
</action:equals>
<action:equals status="">
<html:form name="form0">
<table width="100%" height="100%" cellspacing="0" cellpadding="0">
	<tr valign="middle">
		<td align="center">
			<table style="border-color: #cccccc; border-width: 1px; border-style: solid; background-color:#ffffff;" width="480" height="320" cellspacing="4" cellpadding="0">
				<tr valign="middle">
					<td align="center">
						<table width="100%" height="100%" cellspacing="0" cellpadding="0">
							<tr valign="middle">
								<td align="center" height="98%">
									<br><br>
									<img src="<request:contextpath/>/image/obj_apptitle.gif"><br>
									<br><br><br>
									基本システムをインストールします。<br>
									インストールの途中でエラーが発生した場合など、インストールを再実行する場合は『インストールする前にアンインストールする』をチェックして、インストールボタンをクリックしてください。<br>
									<br><br>
									<html:checkbox name="drop_before_create" value="1"/>インストールする前にアンインストールする<br>
									<html:actionbutton status="install" action="ok" name="ok" value="インストール"/>
								</td>
							</tr>
							<tr valign="middle">
								<td align="center" height="2%">
									<font class="stext">
									<br>Copyright 2004 MintJams, Inc.<br><br>
									</font>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
</html:form>
</action:equals>
<!-- main end -->

<!-- footer start -->
<%@ include file="/include/footer.jsp" %>
<!-- footer end -->
<%
/*
 * MORPHO GENERATION-F, Open Source Groupware Solutions
 * http://www.mintjams.jp/
 *
 * Copyright (c) 2004, MintJams, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice,
 *    this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 * 3. Neither the name of the MintJams, Inc. nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */
%>
