<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-action.tld" prefix="action" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-html.tld" prefix="html" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-text.tld" prefix="text" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-logic.tld" prefix="logic" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-request.tld" prefix="request" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-resource.tld" prefix="resource" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-validator.tld" prefix="validator" %>
<%@ page import="java.util.*" %>
<%@ page import="jp.morpho.util.*" %>
<%@ page import="jp.morpho.webapp.servlet.http.*" %>
<%@ page import="jp.co.mintjams.generation.base.*" %>
<%@ page import="jp.co.mintjams.generation.base.util.*" %>
<%@ include file="/include/vars.jsp" %>
<%
	title = "MyPage";
	String basePath = UrlUtils.getContextPathPrefix(actionRequest.getContextPath());
	String userId = (String)request.getAttribute(Globals.USER_ID_KEY);
%>
<!-- header start -->
<%@ include file="/include/header.jsp" %>
<!-- header end -->

<!-- main start -->
<validator:existsmessage>
	<jsp:include page="/include/open_information.jsp"/>
	<validator:messages name="portlets_id" prefix="<br><font class=\"error\"><b><i>！</i></b>&nbsp;" suffix="</font>"/>
	<jsp:include page="/include/close_information.jsp"/>
<table width="100%" cellspacing="0" cellpadding="4">
	<tr>
		<td align="left">
			<a href="<request:contextpath/>/mypage/contents"><b>HOME</b></a>
		</td>
	</tr>
</table>
</validator:existsmessage>
<validator:notexistsmessage>
<table border="0" cellspacing="0" cellpadding="0">
	<%
		List myportlets = (List)request.getAttribute("myportlets");
		for (int i = 0; i < myportlets.size(); i++)
		{
	%>
	<tr>
		<td align="left">
			<table border="0" cellspacing="0" cellpadding="0">
				<tr>
					<%
						List rows = (List)myportlets.get(i);
						for (int j = 0; j < rows.size(); j++)
						{
							ConversionMap cols = ConversionMap.valueOf((Map)rows.get(j));
							String portlets_url = cols.getString("portlets_url");
							String portlets_width = cols.getString("portlets_width");
							String portlets_height = cols.getString("portlets_height");
							String myportlets_row = cols.getString("myportlets_row");
							String myportlets_column = cols.getString("myportlets_column");

							StringBuffer buf = new StringBuffer();
							buf.append("document.moveForm.portlets_id.value='").append(cols.getString("portlets_id")).append("';");
							buf.append("document.moveForm.myportlets_row.value='").append(myportlets_row).append("';");
							buf.append("document.moveForm.myportlets_column.value='").append(myportlets_column).append("'");
							String baseScript = buf.toString();
					%>
					<td align="left">
					<%
							if (portlets_url.length() == 0)
							{
					%>
						<table border="0" cellspacing="0" cellpadding="0">
							<tr>
								<td align="right">
									<html:actiona form="document.moveForm" action="delete" onclick="<%= baseScript %>">del</html:actiona>
								</td>
							</tr>
							<tr>
								<td align="left">
									削除されました。
								</td>
							</tr>
						</table>
					<%
							}
							else
							{

								String leftScript = baseScript + ";document.moveForm.move_type.value='left'";
								String rightScript = baseScript + ";document.moveForm.move_type.value='right'";
								String upScript = baseScript + ";document.moveForm.move_type.value='up'";
								String downScript = baseScript + ";document.moveForm.move_type.value='down'";
					%>
						<table border="0">
							<tr>
								<td align="left">
									<html:actiona form="document.moveForm" action="move" onclick="<%= leftScript %>"><img src="<request:contextpath/>/image/p_larrow.gif" width="18" height="17"></html:actiona>
									<html:actiona form="document.moveForm" action="move" onclick="<%= rightScript %>"><img src="<request:contextpath/>/image/p_rarrow.gif" width="18" height="17"></html:actiona>
									<html:actiona form="document.moveForm" action="move" onclick="<%= upScript %>"><img src="<request:contextpath/>/image/p_uarrow.gif" width="18" height="17"></html:actiona>
									<html:actiona form="document.moveForm" action="move" onclick="<%= downScript %>"><img src="<request:contextpath/>/image/p_darrow.gif" width="18" height="17"></html:actiona>
									<html:actiona form="document.moveForm" action="delete" onclick="<%= baseScript %>"><img src="<request:contextpath/>/image/p_del.gif" width="18" height="17"></html:actiona>
								</td>
							</tr>
							<tr>
								<td align="left">
									<iframe src="<%= portlets_url %>" name="r<%= myportlets_row %>c<%= myportlets_column %>" width="<%= portlets_width %>" height="<%= portlets_height %>" scrolling="auto" frameborder="0" align="center"></iframe>
								</td>
							</tr>
						</table>
					<%
							}
					%>
					</td>
					<%
						}
					%>
				</tr>
			</table>
		</td>
	</tr>
	<%
		}
	%>
	</logic:list>
</table>
<html:form name="addForm">
<table width="100%" cellspacing="0" cellpadding="4">
	<tr>
		<td align="left">
			<html:actiona form="document.addForm" status="except.myportlets" action="init"><b>ポートレットの追加</b></html:actiona>
		</td>
	</tr>
</table>
</html:form>

<html:form name="moveForm">
<html:hidden name="users_id" value="<%= userId %>"/>
<html:hidden name="portlets_id"/>
<html:hidden name="myportlets_row"/>
<html:hidden name="myportlets_column"/>
<html:hidden name="move_type"/>
</html:form>
</validator:notexistsmessage>

<!-- main end -->

<!-- footer start -->
<%@ include file="/include/footer.jsp" %>
<!-- footer end -->
<%
/*
 * MORPHO GENERATION-F, Open Source Groupware Solutions
 * http://www.mintjams.jp/
 *
 * Copyright (c) 2004, MintJams, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice,
 *    this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 * 3. Neither the name of the MintJams, Inc. nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */
%>
