<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-action.tld" prefix="action" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-html.tld" prefix="html" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-text.tld" prefix="text" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-logic.tld" prefix="logic" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-request.tld" prefix="request" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-resource.tld" prefix="resource" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-validator.tld" prefix="validator" %>
<%@ page import="java.util.*" %>
<%@ page import="jp.morpho.util.*" %>
<%@ page import="jp.morpho.webapp.servlet.http.*" %>
<%@ page import="jp.co.mintjams.generation.base.*" %>
<%@ page import="jp.co.mintjams.generation.base.util.*" %>
<%@ include file="/include/vars.jsp" %>
<%
	title = "MyPortlet - 追加";
	String userId = (String)request.getAttribute(Globals.USER_ID_KEY);
%>
<!-- header start -->
<%@ include file="/include/header.jsp" %>
<!-- header end -->

<!-- main start -->
<%
	List portlets = (List)request.getAttribute("portlets");
%>
<html:form name="form0">
<html:hidden name="users_id" value="<%= userId %>"/>
<html:hidden name="portlets_id"/>
<table width="100%" class="waku1" cellspacing="0" cellpadding="1">
	<tr>
		<td class="header">
			ポートレット
		</td>
	</tr>
	<tr>
		<td>
			<table width="100%" class="box2" cellspacing="1" cellpadding="4">
				<tr valign="top">
					<th width="10%" align="center">
						ID
					</th>
					<th width="30%" align="left">
						URL
					</th>
					<th width="5%" align="center">
						幅
					</th>
					<th width="5%" align="center">
						高さ
					</th>
					<th width="40%" align="left">
						説明
					</th>
					<th width="10%" align="center">
						<br>
					</th>
				</tr>

				<html:tbody scope="request" name="portlets">
				<%
					int i = ((Integer)pageContext.getAttribute("portlets.index")).intValue();
					PrimitiveHolderMap rowData = ConversionMap.valueOf((Map)portlets.get(i));
					String portletId = rowData.getString("portlets_id");
					String addScript = "document.form0.portlets_id.value='" + portletId + "'";
				%>
				<logic:isodd>
				<tr class="line1" valign="top">
				</logic:isodd>
				<logic:iseven>
				<tr class="line2" valign="top">
				</logic:iseven>
					<td align="center">
						<html:encode name="portlets_id"/>
					</td>
					<td align="left">
						<html:encode name="portlets_url"/>
					</td>
					<td align="center">
						<html:encode name="portlets_width"/>
					</td>
					<td align="center">
						<html:encode name="portlets_height"/>
					</td>
					<td align="left">
						<html:encode name="portlets_description"/>
					</td>
					<td align="center">
						<html:actionbutton status="profile.contents" action="add" name="add" value="追加" onclick="<%= addScript %>"/>
					</td>
				</tr>
				</html:tbody>

			</table>
		</td>
	</tr>
</table>
</html:form>

<table width="100%" cellspacing="0" cellpadding="4">
	<tr>
		<td align="left">
			<a href="<request:contextpath/>/mypage/contents"><b>キャンセル</b></a>
		</td>
	</tr>
</table>

<!-- main end -->

<!-- footer start -->
<%@ include file="/include/footer.jsp" %>
<!-- footer end -->
<%
/*
 * MORPHO GENERATION-F, Open Source Groupware Solutions
 * http://www.mintjams.jp/
 *
 * Copyright (c) 2004, MintJams, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice,
 *    this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 * 3. Neither the name of the MintJams, Inc. nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */
%>
