<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-action.tld" prefix="action" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-html.tld" prefix="html" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-text.tld" prefix="text" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-logic.tld" prefix="logic" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-request.tld" prefix="request" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-resource.tld" prefix="resource" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-validator.tld" prefix="validator" %>
<%@ page import="java.util.*" %>
<%@ page import="jp.morpho.util.*" %>
<%@ page import="jp.morpho.webapp.servlet.http.*" %>
<%@ page import="jp.co.mintjams.generation.base.*" %>
<%@ include file="/include/vars.jsp" %>
<%
	title = "プロフィール";
%>
<!-- header start -->
<%@ include file="/include/header.jsp" %>
<!-- header end -->

<!-- main start -->
<%
	String userId = (String)actionRequest.getAttribute(Globals.USER_ID_KEY);
%>

<action:equals status="profile.edit.success">
<jsp:include page="profile.edit.success.jsp"/>
</action:equals>
<action:equals status="profile.edit.failure">
<jsp:include page="profile.edit.failure.jsp"/>
</action:equals>
<action:equals status="profile.edit">
<html:form name="form0" enctype="multipart/form-data">
<table width="512" class="waku1" cellspacing="0" cellpadding="1">
	<tr>
		<td>
			<table width="100%" class="waku2" cellspacing="6" cellpadding="0">
				<tr>
					<td colspan="2" align="center">
						<font class="title">プロフィール</font><br>
					</td>
				</tr>
				<tr>
					<td class="sep_solid" colspan="2"><img src="<request:contextpath/>/image/spacer.gif" width="1" height="1"></td>
				</tr>
				<tr valign="top">
					<th align="left" width="20%">
						<b>アバター</b><br>
					</th>
					<td align="left" width="80%">
						<% if (form.getInt("users_avatar") == 1) { %><img src="<request:contextpath/>/avatar/<%= userId %>"><br><% } else { %><img src="<request:contextpath/>/image/obj_avatar.gif"><br><% } %>
						<html:file name="avatars_file"/><br>
						<validator:messages name="avatars_file" prefix="<br><font class=\"error\"><b><i>！</i></b>&nbsp;" suffix="</font>"/>
					</td>
				</tr>
				<tr>
					<td class="sep_dotted" colspan="2"><img src="<request:contextpath/>/image/spacer.gif" width="1" height="1"></td>
				</tr>
				<tr valign="top">
					<th align="left">
						<b>ニックネーム</b><br>
					</th>
					<td align="left">
						<html:text name="users_name"/><br>
						<validator:messages name="users_name" prefix="<br><font class=\"error\"><b><i>！</i></b>&nbsp;" suffix="</font>"/>
					</td>
				</tr>
				<tr>
					<td class="sep_dotted" colspan="2"><img src="<request:contextpath/>/image/spacer.gif" width="1" height="1"></td>
				</tr>
				<tr valign="top">
					<th align="left">
						<b>カラー</b><br>
					</th>
					<td align="left">
						<table>
							<tr>
								<!-- グレー -->
								<td>
										<html:radio name="users_color" value="0"/>
								</td>
								<td>
									<table class="style0waku1" cellspacing="0" cellpadding="1">
										<tr>
											<td>
												<table class="style0box2" cellspacing="1" cellpadding="3">
													<tr>
														<td class="title"><img src="<request:contextpath/>/image/spacer.gif" width="28" height="1"></td>
													</tr>
													<tr>
														<th><img src="<request:contextpath/>/image/spacer.gif" width="4" height="1"></th>
													</tr>
													<tr class="line1">
														<td><img src="<request:contextpath/>/image/spacer.gif" width="4" height="1"></td>
													</tr>
													<tr class="line2">
														<td><img src="<request:contextpath/>/image/spacer.gif" width="4" height="1"></td>
													</tr>
												</table>
											</td>
										</tr>
									</table>
								</td>

								<!-- バイオレット -->
								<td>
										<html:radio name="users_color" value="1"/>
								</td>
								<td>
									<table class="style1waku1" cellspacing="0" cellpadding="1">
										<tr>
											<td>
												<table class="style1box2" cellspacing="1" cellpadding="3">
													<tr>
														<td class="title"><img src="<request:contextpath/>/image/spacer.gif" width="28" height="1"></td>
													</tr>
													<tr>
														<th><img src="<request:contextpath/>/image/spacer.gif" width="4" height="1"></th>
													</tr>
													<tr class="line1">
														<td><img src="<request:contextpath/>/image/spacer.gif" width="4" height="1"></td>
													</tr>
													<tr class="line2">
														<td><img src="<request:contextpath/>/image/spacer.gif" width="4" height="1"></td>
													</tr>
												</table>
											</td>
										</tr>
									</table>
								</td>

								<!-- ブルー -->
								<td>
										<html:radio name="users_color" value="2"/>
								</td>
								<td>
									<table class="style2waku1" cellspacing="0" cellpadding="1">
										<tr>
											<td>
												<table class="style2box2" cellspacing="1" cellpadding="3">
													<tr>
														<td class="title"><img src="<request:contextpath/>/image/spacer.gif" width="28" height="1"></td>
													</tr>
													<tr>
														<th><img src="<request:contextpath/>/image/spacer.gif" width="4" height="1"></th>
													</tr>
													<tr class="line1">
														<td><img src="<request:contextpath/>/image/spacer.gif" width="4" height="1"></td>
													</tr>
													<tr class="line2">
														<td><img src="<request:contextpath/>/image/spacer.gif" width="4" height="1"></td>
													</tr>
												</table>
											</td>
										</tr>
									</table>
								</td>

								<!-- ライトブルー -->
								<td>
										<html:radio name="users_color" value="3"/>
								</td>
								<td>
									<table class="style3waku1" cellspacing="0" cellpadding="1">
										<tr>
											<td>
												<table class="style3box2" cellspacing="1" cellpadding="3">
													<tr>
														<td class="title"><img src="<request:contextpath/>/image/spacer.gif" width="28" height="1"></td>
													</tr>
													<tr>
														<th><img src="<request:contextpath/>/image/spacer.gif" width="4" height="1"></th>
													</tr>
													<tr class="line1">
														<td><img src="<request:contextpath/>/image/spacer.gif" width="4" height="1"></td>
													</tr>
													<tr class="line2">
														<td><img src="<request:contextpath/>/image/spacer.gif" width="4" height="1"></td>
													</tr>
												</table>
											</td>
										</tr>
									</table>
								</td>
							</tr>

							<tr>
								<!-- グリーン -->
								<td>
										<html:radio name="users_color" value="4"/>
								</td>
								<td>
									<table class="style4waku1" cellspacing="0" cellpadding="1">
										<tr>
											<td>
												<table class="style4box2" cellspacing="1" cellpadding="3">
													<tr>
														<td class="title"><img src="<request:contextpath/>/image/spacer.gif" width="28" height="1"></td>
													</tr>
													<tr>
														<th><img src="<request:contextpath/>/image/spacer.gif" width="4" height="1"></th>
													</tr>
													<tr class="line1">
														<td><img src="<request:contextpath/>/image/spacer.gif" width="4" height="1"></td>
													</tr>
													<tr class="line2">
														<td><img src="<request:contextpath/>/image/spacer.gif" width="4" height="1"></td>
													</tr>
												</table>
											</td>
										</tr>
									</table>
								</td>

								<!-- ブラウン -->
								<td>
										<html:radio name="users_color" value="5"/>
								</td>
								<td>
									<table class="style5waku1" cellspacing="0" cellpadding="1">
										<tr>
											<td>
												<table class="style5box2" cellspacing="1" cellpadding="3">
													<tr>
														<td class="title"><img src="<request:contextpath/>/image/spacer.gif" width="28" height="1"></td>
													</tr>
													<tr>
														<th><img src="<request:contextpath/>/image/spacer.gif" width="4" height="1"></th>
													</tr>
													<tr class="line1">
														<td><img src="<request:contextpath/>/image/spacer.gif" width="4" height="1"></td>
													</tr>
													<tr class="line2">
														<td><img src="<request:contextpath/>/image/spacer.gif" width="4" height="1"></td>
													</tr>
												</table>
											</td>
										</tr>
									</table>
								</td>

								<!-- オレンジ -->
								<td>
										<html:radio name="users_color" value="6"/>
								</td>
								<td>
									<table class="style6waku1" cellspacing="0" cellpadding="1">
										<tr>
											<td>
												<table class="style6box2" cellspacing="1" cellpadding="3">
													<tr>
														<td class="title"><img src="<request:contextpath/>/image/spacer.gif" width="28" height="1"></td>
													</tr>
													<tr>
														<th><img src="<request:contextpath/>/image/spacer.gif" width="4" height="1"></th>
													</tr>
													<tr class="line1">
														<td><img src="<request:contextpath/>/image/spacer.gif" width="4" height="1"></td>
													</tr>
													<tr class="line2">
														<td><img src="<request:contextpath/>/image/spacer.gif" width="4" height="1"></td>
													</tr>
												</table>
											</td>
										</tr>
									</table>
								</td>

								<!-- ピンク -->
								<td>
										<html:radio name="users_color" value="7"/>
								</td>
								<td>
									<table class="style7waku1" cellspacing="0" cellpadding="1">
										<tr>
											<td>
												<table class="style7box2" cellspacing="1" cellpadding="3">
													<tr>
														<td class="title"><img src="<request:contextpath/>/image/spacer.gif" width="28" height="1"></td>
													</tr>
													<tr>
														<th><img src="<request:contextpath/>/image/spacer.gif" width="4" height="1"></th>
													</tr>
													<tr class="line1">
														<td><img src="<request:contextpath/>/image/spacer.gif" width="4" height="1"></td>
													</tr>
													<tr class="line2">
														<td><img src="<request:contextpath/>/image/spacer.gif" width="4" height="1"></td>
													</tr>
												</table>
											</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>

					</td>
				</tr>
				<tr>
					<td class="sep_dotted" colspan="2"><img src="<request:contextpath/>/image/spacer.gif" width="1" height="1"></td>
				</tr>
				<tr valign="top">
					<td align="center" colspan="2">
						<html:actionbutton action="entry" name="ok" value="送信"/>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
</html:form>
</action:equals>
<!-- main end -->

<!-- footer start -->
<%@ include file="/include/footer.jsp" %>
<!-- footer end -->
<%
/*
 * MORPHO GENERATION-F, Open Source Groupware Solutions
 * http://www.mintjams.jp/
 *
 * Copyright (c) 2004, MintJams, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice,
 *    this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 * 3. Neither the name of the MintJams, Inc. nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */
%>
