<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-action.tld" prefix="action" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-html.tld" prefix="html" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-text.tld" prefix="text" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-logic.tld" prefix="logic" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-request.tld" prefix="request" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-resource.tld" prefix="resource" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-validator.tld" prefix="validator" %>
<%@ page import="java.util.*" %>
<%@ page import="jp.morpho.util.*" %>
<%@ page import="jp.morpho.webapp.servlet.http.*" %>
<%@ page import="jp.co.mintjams.generation.base.*" %>
<%@ page import="jp.co.mintjams.generation.base.util.*" %>
<%@ include file="/include/vars.jsp" %>
<action:mapping>
	<action:case status="admin.edit" action="add">
		<action:handler>jp.co.mintjams.generation.base.action.DatabaseConnectionHandler</action:handler>
		<action:handler>jp.co.mintjams.generation.profile.action.SearchUsersHandler</action:handler>
		<action:handler>jp.co.mintjams.generation.base.action.ValidateHandler</action:handler>
		<action:handler>jp.co.mintjams.generation.profile.action.AddAdminsHandler</action:handler>
	</action:case>
	<action:case status="admin.edit" action="delete">
		<action:handler>jp.co.mintjams.generation.base.action.DatabaseConnectionHandler</action:handler>
		<action:handler>jp.co.mintjams.generation.profile.action.SearchUsersHandler</action:handler>
		<action:handler>jp.co.mintjams.generation.base.action.ValidateHandler</action:handler>
		<action:handler>jp.co.mintjams.generation.profile.action.DeleteAdminsHandler</action:handler>
	</action:case>
	<action:case status="" action="">
		<action:handler>jp.co.mintjams.generation.profile.action.InitAdminEditHandler</action:handler>
	</action:case>
	<action:default>
		<action:handler>jp.co.mintjams.generation.base.action.DatabaseConnectionHandler</action:handler>
		<action:handler>jp.co.mintjams.generation.profile.action.SearchUsersHandler</action:handler>
		<action:handler>jp.co.mintjams.generation.profile.action.AdminEditHandler</action:handler>
	</action:default>
</action:mapping>
<%
	title = "管理者 - 編集";
%>
<!-- header start -->
<%@ include file="/include/header.jsp" %>
<!-- header end -->

<!-- main start -->
<%@ include file="/include/page_link.jsp" %>

<action:equals status="admin.add.success">
<jsp:include page="admin.add.success.jsp"/>
</action:equals>
<action:equals status="admin.add.failure">
<jsp:include page="admin.add.failure.jsp"/>
</action:equals>
<action:equals status="admin.delete.success">
<jsp:include page="admin.delete.success.jsp"/>
</action:equals>
<action:equals status="admin.delete.failure">
<jsp:include page="admin.delete.failure.jsp"/>
</action:equals>
<action:equals status="admin.init">
<jsp:include page="search.jsp"/>
</action:equals>
<action:equals status="admin.edit">
<jsp:include page="search.jsp"/>
<%
	ConversionMap form = ConversionMap.valueOf(actionRequest.getParameterMap());
	String pageLink = createPageChangeLink(form.getInt("max_rows"), form.getInt("max_users_rows"), form.getInt("page_no"));
%>

<br>
<html:form name="viewForm">
<table width="100%" cellspacing="0" cellpadding="4">
	<tr valign="top">
		<td align="left">
			<html:hidden name="page_no" value="1"/>
			<html:hidden name="users_id"/>
			<html:hidden name="users_name"/>
			<html:hidden name="users_manageable"/>
			<html:hidden name="users_id_option"/>
			<html:hidden name="users_name_option"/>
			<html:select name="max_users_rows">
				<html:option value="10">10件ずつ表示</html:option>
				<html:option value="20">20件ずつ表示</html:option>
				<html:option value="50">50件ずつ表示</html:option>
				<html:option value="100">100件ずつ表示</html:option>
				<html:option value="0">全て表示</html:option>
			</html:select>
			<html:actionbutton action="" name="view" value="表示"/>
		</td>
	</tr>
</table>
</html:form>

<validator:messages name="users_ids" prefix="<br><font class=\"error\"><b><i>！</i></b>&nbsp;" suffix="</font>"/>
<table width="100%" cellspacing="0" cellpadding="4">
	<tr>
		<td align="center">
		<b><%= pageLink %></b>
		</td>
	</tr>
</table>

<html:form name="form0">
<html:hidden name="page_no"/>
<html:hidden name="max_users_rows"/>
<html:hidden name="users_id"/>
<html:hidden name="users_name"/>
<html:hidden name="users_manageable"/>
<html:hidden name="users_id_option"/>
<html:hidden name="users_name_option"/>
<%
	List users = (List)request.getAttribute("users");
%>

<table width="100%" class="waku1" cellspacing="0" cellpadding="1">
	<tr>
		<td>
			<table width="100%" class="box2" cellspacing="1" cellpadding="4">
				<tr valign="top">
					<th width="10%" align="center">
						<br>
					</th>
					<th width="35%" align="left">
						ユーザID
					</th>
					<th width="35%" align="center">
						ニックネーム
					</th>
					<th width="20%" align="center">
						権限
					</th>
				</tr>

				<html:tbody scope="request" name="users">
				<%
					int i = ((Integer)pageContext.getAttribute("users.index")).intValue();
					PrimitiveHolderMap rowData = ConversionMap.valueOf((Map)users.get(i));
					String userId = rowData.getString("users_id");
				%>
				<logic:isodd>
				<tr class="line1" valign="top">
				</logic:isodd>
				<logic:iseven>
				<tr class="line2" valign="top">
				</logic:iseven>
					<td align="center">
						<html:checkbox name="users_ids" value="<%= userId %>"/>
					</td>
					<td align="left">
						<html:encode name="users_id"/><br>
					</td>
					<td align="left">
						<html:encode name="users_name"/><br>
					</td>
					<td align="center">
						<text:messageformat name="users_manageable"/><br>
					</td>
				</tr>
				</html:tbody>
			</table>
		</td>
	</tr>
</table>

<table width="100%" cellspacing="0" cellpadding="4">
	<tr>
		<td align="center">
		<b><%= pageLink %></b>
		</td>
	</tr>
</table>

<% if (users != null && users.size() > 0) { %>
<table width="100%" cellspacing="0" cellpadding="4">
	<tr>
		<td align="center">
			<% if (form.getInt("users_manageable") == 1) { %>
			<html:actionbutton action="delete" name="delbtn" value="選択した管理者をユーザにする"/>
			<% } else { %>
			<html:actionbutton action="add" name="addbtn" value="選択したユーザを管理者に設定する"/>
			<% } %>
		</td>
	</tr>
</table>
<% } %>
</html:form>

<html:form name="pageForm">
<html:hidden name="page_no"/>
<html:hidden name="max_users_rows"/>
<html:hidden name="users_id"/>
<html:hidden name="users_name"/>
<html:hidden name="users_manageable"/>
<html:hidden name="users_id_option"/>
<html:hidden name="users_name_option"/>
</html:form>

</action:equals>
<!-- main end -->

<!-- footer start -->
<%@ include file="/include/footer.jsp" %>
<!-- footer end -->
<%
/*
 * MORPHO GENERATION-F, Open Source Groupware Solutions
 * http://www.mintjams.jp/
 *
 * Copyright (c) 2004, MintJams, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice,
 *    this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 * 3. Neither the name of the MintJams, Inc. nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */
%>
