<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-action.tld" prefix="action" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-html.tld" prefix="html" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-text.tld" prefix="text" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-logic.tld" prefix="logic" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-request.tld" prefix="request" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-resource.tld" prefix="resource" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-validator.tld" prefix="validator" %>
<%@ page import="java.util.*" %>
<%@ page import="jp.morpho.util.*" %>
<%@ page import="jp.morpho.webapp.servlet.http.*" %>

<%
{
	HttpActionRequest actionRequest = HttpActionRequestFactory.getInstance(application).getRequest(request);
	ConversionMap form = ConversionMap.valueOf(actionRequest.getParameterMap());
	List menus = (List)request.getAttribute("menus");
%>
<validator:messages name="menus_id" prefix="<br><font class=\"error\"><b><i>！</i></b>&nbsp;" suffix="</font>"/>
<validator:messages name="menus_no" prefix="<br><font class=\"error\"><b><i>！</i></b>&nbsp;" suffix="</font>"/>
<validator:messages name="menus_order" prefix="<br><font class=\"error\"><b><i>！</i></b>&nbsp;" suffix="</font>"/>
<table width="100%" class="waku1" cellspacing="0" cellpadding="1">
	<tr>
		<td class="header">
			メニュー情報
		</td>
	</tr>
	<tr>
		<td>
			<table width="100%" class="box2" cellspacing="1" cellpadding="4">
				<tr valign="top">
					<th width="10%" align="center">
						優先順位
					</th>
					<th width="30%" align="left">
						名称<br>
					</th>
					<th width="30%" align="left">
						URL<br>
					</th>
					<th width="15%" align="center">
						表示<br>
					</th>
					<th width="15%" align="center">
						更新／削除<br>
					</th>
				</tr>

				<html:tbody scope="request" name="menus">
				<%
					int i = ((Integer)pageContext.getAttribute("menus.index")).intValue();
					PrimitiveHolderMap rowData = ConversionMap.valueOf((Map)menus.get(i));
					String menuId = rowData.getString("menus_id");
					String formName = "form" + menuId;
				%>
				<html:form name="<%= formName %>">
				<html:hidden name="menus_id"/>
				<logic:isodd>
				<tr class="line1" valign="top">
				</logic:isodd>
				<logic:iseven>
				<tr class="line2" valign="top">
				</logic:iseven>
					<td align="center">
						<html:text name="menus_no"/>
						<validator:messages name="menus_no" prefix="<br><font class=\"error\"><b><i>！</i></b>&nbsp;" suffix="</font>"/>
					</td>
					<td align="left">
						<html:text name="menus_name"/>
						<% if (menuId.equals(form.getString("menus_id"))) { %>
						<validator:messages name="menus_name" prefix="<br><font class=\"error\"><b><i>！</i></b>&nbsp;" suffix="</font>"/>
						<% } %>
					</td>
					<td align="left">
						<html:encode name="menus_url"/>
					</td>
					<td align="center">
						<nobr>
						<html:radio name="menus_display" value="1"/>する<wbr>
						<html:radio name="menus_display" value="0"/>しない
						</nobr>
						<validator:messages name="menus_display" prefix="<br><font class=\"error\"><b><i>！</i></b>&nbsp;" suffix="</font>"/>
					</td>
					<td align="center" nowrap>
						<html:actionbutton status="menu.edit" action="ok" name="edit" value="更新"/>
						&nbsp;&nbsp;
						<html:actionbutton status="menu.edit" action="delete" name="del" value="削除" onclick="if (!confirmDelete()) {return false;}"/>
					</td>
				</tr>
				</html:form>
				</html:tbody>

			</table>
		</td>
	</tr>
</table>
<%
}
%>
<%
/*
 * MORPHO GENERATION-F, Open Source Groupware Solutions
 * http://www.mintjams.jp/
 *
 * Copyright (c) 2004, MintJams, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice,
 *    this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 * 3. Neither the name of the MintJams, Inc. nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */
%>
