<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-action.tld" prefix="action" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-html.tld" prefix="html" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-text.tld" prefix="text" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-logic.tld" prefix="logic" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-request.tld" prefix="request" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-resource.tld" prefix="resource" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-validator.tld" prefix="validator" %>
<%@ page import="java.util.*" %>
<%@ page import="jp.morpho.util.*" %>
<%@ page import="jp.morpho.webapp.servlet.http.*" %>
<%@ page import="jp.co.mintjams.generation.base.*" %>
<%@ page import="jp.co.mintjams.generation.base.util.*" %>
<%@ include file="/include/vars.jsp" %>
<action:mapping>
	<action:case status="menu.edit" action="ok">
		<action:handler>jp.co.mintjams.generation.base.action.DatabaseConnectionHandler</action:handler>
		<action:handler>jp.co.mintjams.generation.profile.action.SearchMenusHandler</action:handler>
		<action:handler>jp.co.mintjams.generation.base.action.ValidateHandler</action:handler>
		<action:handler>jp.co.mintjams.generation.profile.action.ChangeMenuHandler</action:handler>
	</action:case>
	<action:case status="menu.edit" action="delete">
		<action:handler>jp.co.mintjams.generation.base.action.DatabaseConnectionHandler</action:handler>
		<action:handler>jp.co.mintjams.generation.profile.action.SearchMenusHandler</action:handler>
		<action:handler>jp.co.mintjams.generation.base.action.ValidateHandler</action:handler>
		<action:handler>jp.co.mintjams.generation.profile.action.DeleteMenuHandler</action:handler>
	</action:case>
	<action:default>
		<action:handler>jp.co.mintjams.generation.base.action.DatabaseConnectionHandler</action:handler>
		<action:handler>jp.co.mintjams.generation.profile.action.SearchMenusHandler</action:handler>
		<action:handler>jp.co.mintjams.generation.profile.action.MenuEditHandler</action:handler>
	</action:default>
</action:mapping>
<%
	title = "メニュー - 編集";
%>
<!-- header start -->
<%@ include file="/include/header.jsp" %>
<!-- header end -->

<!-- main start -->
<action:equals status="menu.edit.success">
<jsp:include page="menu.edit.success.jsp"/>
</action:equals>
<action:equals status="menu.edit.failure">
<jsp:include page="menu.edit.failure.jsp"/>
</action:equals>
<action:equals status="menu.edit">
<jsp:include page="edit.jsp"/>
</action:equals>
<action:equals status="menu.delete.success">
<jsp:include page="menu.delete.success.jsp"/>
</action:equals>
<action:equals status="menu.delete.failure">
<jsp:include page="menu.delete.failure.jsp"/>
</action:equals>
<!-- main end -->

<!-- footer start -->
<%@ include file="/include/footer.jsp" %>
<!-- footer end -->
<%
/*
 * MORPHO GENERATION-F, Open Source Groupware Solutions
 * http://www.mintjams.jp/
 *
 * Copyright (c) 2004, MintJams, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice,
 *    this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 * 3. Neither the name of the MintJams, Inc. nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */
%>
